/*
 * Sentinella
 * http://sentinella.sourceforge.net/
 * Copyright (c) 2009-2011 Carlos Olmedo Escobar <carlos.olmedo.e@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef PROCESSDIES_H_
#define PROCESSDIES_H_

#include <libsysactivity/libsysactivity.h>
#include <sys/types.h>
#include <errno.h>
#include "AbstractLoopCondition.h"
#include "../Process.h"

class ProcessDies : public AbstractLoopCondition {

public:
	ProcessDies(Process* processAPI, const qint64 msecsLimit, const qint64 interval, const pid_t pid);

protected:
	bool evaluate();

private:
	struct sa_process_activity dst;
	Process* processAPI;
	pid_t pid;
};

#endif /* PROCESSDIES_H_ */
